# Class SegmentDecryptionStartEvent

#### Hierarchy

- SegmentEvent
  - SegmentDecryptionStartEvent

#####
Index

### Constructors

constructor

### Properties

segmentInfo
type

## Constructors

### constructor

- new SegmentDecryptionStartEvent(segmentInfo): SegmentDecryptionStartEvent

- #### Parameters

  - segmentInfo: SegmentInfo

  #### Returns SegmentDecryptionStartEvent

  Inherited from SegmentEvent.constructor

## Properties

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from SegmentEvent.segmentInfo

### `Readonly` type

type: "segmentdecryptionstart" = Events.SegmentDecryptionStart

Overrides SegmentEvent.type